// (C) 2001-2017 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel MegaCore Function License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


// synopsys translate_off
`timescale 1 ps / 1 ps
// synopsys translate_on
module  count_10mhz_lpm_counter_161_gobzvnq  (
            clock,
            sclr,
            q);

            input  clock;
            input  sclr;
            output [23:0] q;

            wire [23:0] sub_wire0;
            wire [23:0] q = sub_wire0[23:0];    

            lpm_counter        LPM_COUNTER_component (
                                        .clock (clock),
                                        .sclr (sclr),
                                        .q (sub_wire0),
                                        .aclr (1'b0),
                                        .aload (1'b0),
                                        .aset (1'b0),
                                        .cin (1'b1),
                                        .clk_en (1'b1),
                                        .cnt_en (1'b1),
                                        .cout (),
                                        .data ({24{1'b0}}),
                                        .eq (),
                                        .sload (1'b0),
                                        .sset (1'b0),
                                        .updown (1'b1));
            defparam
                    LPM_COUNTER_component.lpm_direction = "UP",
                    LPM_COUNTER_component.lpm_port_updown = "PORT_UNUSED",
                    LPM_COUNTER_component.lpm_type = "LPM_COUNTER",
                    LPM_COUNTER_component.lpm_width = 24;


endmodule


