module M10_CHECK  ( 
   input          RESET_N  , 
   input   [1:0]  SW	 , 
	input          CLK_50  , 
	input          SMA_IN  ,
	output [ 31:0 ] FREQ_MEM , 
	output [ 6:0]  FREQ1_HEX ,    
	output [ 6:0]  FREQ0_HEX,
	output [ 23:0] M10_RESULT_CNT,
	output         M10_READY     ,		
	output         rFG     ,
   output         TIME_OUT,
	output         ERROR_FG	
);

//--FREQ TO HEX 
FREQ_HEX  fh(
   .SMA_IN    (SMA_IN   ),
   .CLK_50    (CLK_50    ),
   .RESET_N   (RESET_N   ),
   .FREQ1_HEX (FREQ1_HEX ),    
   .FREQ0_HEX (FREQ0_HEX ),
);

//-- 0.1% CHECK

CHECK_D001 tr( 
    .SW (SW)  , 
    .CLK_50  ( CLK_50  ), 
    .SMA_IN  ( SMA_IN  ),
    .RESET_N ( RESET_N ),
	 .rFG     ( rFG     ),  
    .TIME_OUT(TIME_OUT ),
    .ERROR_FG( ERROR_FG)  ,
    .M10_RESULT_CNT(M10_RESULT_CNT), 
    .M10_READY     (M10_READY     )
	 
);


endmodule 

