module	Reset_Delay(iCLK,oRESET,iRESET_N);
input		   iCLK;
input		   iRESET_N ; 
output reg	oRESET;

parameter TIME_OUT = 50000000/2 ; 
reg	[31:0]	Cont;

always@(negedge iRESET_N or  posedge iCLK)
if ( !iRESET_N )  begin oRESET <=0; 
   Cont <=0; 
end 
else 
 begin
	  if (Cont < TIME_OUT )
	 begin
		  Cont	<=	Cont+1;
		  oRESET	<=	1'b0;
	 end
	else oRESET	<=	1'b1;
 end

endmodule
